Download it now!
Bug 72995 - Goal Seek when Formula cell does not contain formula it is unclear which cell is error message referenced at
Summary: Goal Seek when Formula cell does not contain formula it is unclear which cell...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.4.2 release
Hardware: Other All
: medium minor
Assignee: yjw9012
URL:
Whiteboard: target:4.3.0
Keywords: difficultyBeginner, easyHack
Depends on:
Blocks: GoalSeek
  Show dependency treegraph
 
Reported: 2013-12-23 19:12 UTC by grofaty
Modified: 2017-07-15 15:02 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description grofaty 2013-12-23 19:12:42 UTC
1. Tools | Goal Seek.
2. In Target value type in: 1
3. In Variable cell type in A1
4. Click on OK button.
Error dialog opens: "Cell must contain a formula."
Which cell?

I suggest to change label from "Cell must contain a formula." to "Formula cell must contain a formula." to make it clear which input box has incorrect value.

P.S. This is probably easy hack. Can you please label it as such.
Comment 1 A (Andy) 2013-12-27 23:00:38 UTC
You have not mentioned your input in the field FORMULA CELL? Which formula have you been using as the "target" formula for the GOAL SEEK function (in the FORMULA CELL field)? GOAL SEEK needs here a formula for the calculation.

Or was your issue only regarding the designation "Formula cell must contain a formula" or an in principle issue regarding the use of GOAL SEEK? If it was only regarding the designation then I would agree that in this case it would be better and clear to name it "Formula cell must contain a formula" (probably an easy hack).
Comment 2 grofaty 2013-12-28 10:24:28 UTC
@A, I am only referring to the label "Cell must contain a formula." label. It is unclear witch cell is referred to. So changing "Cell" to "Formula cell" would make this clear. So final label should be: "Formula cell must contain a formula".

P.S. It is easy hack. I am adding the tags to whiteboard.
Comment 3 A (Andy) 2013-12-28 10:41:20 UTC
reproducible with LO 4.1.4.2 (Win8), it would be better and clear to name the message "Formula cell must contain a formula"
Comment 4 yjw9012 2013-12-30 11:58:32 UTC
Hi all,

Can I assign this EasyHack to myself?
This is my first contribution to the LibreOffice project, so I'd like to get a feel of how the process normally goes by working on this EasyHack.

Thanks.
Comment 5 yjw9012 2013-12-30 16:25:03 UTC
I just worked on it and committed the change.
https://gerrit.libreoffice.org/#/c/7234/
Thank you for your support!
Comment 6 Commit Notification 2013-12-30 20:03:47 UTC
yjw9012 committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d7f51933c4b01183f7da923b6ee1475a004cc3a5

fdo#72995: Changed label to 'Formula cell must contain a formula.'



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Kohei Yoshida 2014-02-24 03:42:43 UTC
I'll mark this fixed.
Comment 8 Robinson Tryon (qubit) 2015-12-16 05:12:22 UTC Comment hidden (obsolete)